package com.trade.service.filestorage.enums;

public enum FileModuleEnum {

    USER_DOCUMENT("trade-user_document", "贸服通-客户资料"),
    UNSIGNED_CONTRACT("trade-unsigned_contract", "贸服通-未签约合同"),
    SIGNED_CONTRACT("trade-signed_contract", "贸服通-已签约合同"),
    COMMON_UPLOAD("trade-common_upload", "贸服通-通用上传"),
    CUSTOMER_REFERRALCODE("trade-customer-referralCode", "贸服通-推荐链接生成二维码附件")
    ;


    /** 编码 */
    private final String code;
    /** 名称 */
    private final String cname;

    public String getCode() {
        return code;
    }

    public String getCname() {
        return cname;
    }

    FileModuleEnum(String code, String cname){
        this.code = code;
        this.cname = cname;
    }
}
